package airDrop

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type RedPackageTestRouter struct {
}

// InitRedPackageTestRouter 初始化 RedPackageTest 路由信息
func (s *RedPackageTestRouter) InitRedPackageTestRouter(Router *gin.RouterGroup) {
	rptestRouter := Router.Group("rptest").Use(middleware.OperationRecord())
	rptestRouterWithoutRecord := Router.Group("rptest")
	var rptestApi = v1.ApiGroupApp.AirDropApiGroup.RedPackageTestApi
	{
		rptestRouter.POST("createRedPackageTest", rptestApi.CreateRedPackageTest)   // 新建RedPackageTest
		rptestRouter.DELETE("deleteRedPackageTest", rptestApi.DeleteRedPackageTest) // 删除RedPackageTest
		rptestRouter.DELETE("deleteRedPackageTestByIds", rptestApi.DeleteRedPackageTestByIds) // 批量删除RedPackageTest
		rptestRouter.PUT("updateRedPackageTest", rptestApi.UpdateRedPackageTest)    // 更新RedPackageTest
	}
	{
		rptestRouterWithoutRecord.GET("findRedPackageTest", rptestApi.FindRedPackageTest)        // 根据ID获取RedPackageTest
		rptestRouterWithoutRecord.GET("getRedPackageTestList", rptestApi.GetRedPackageTestList)  // 获取RedPackageTest列表
	}
}
